Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

nodejs-devel-default-6.1-1.1 RPM for s390x

From OpenSuSE Ports Tumbleweed for s390x

Name: nodejs-devel-default Distribution: openSUSE:Factory:zSystems
Version: 6.1 Vendor: openSUSE
Release: 1.1 Build date: Fri Nov 10 14:36:23 2023
Group: Development/Languages/NodeJS Build host: s390zl22
Size: 0 Source RPM: nodejs-common-6.1-1.1.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/AdamMajer/nodejs-packaging
Summary: Headers for default version of nodejs
Depends on the most current and up-to-date version of nodejs for
the current architecture and codestream.

Provides

Requires

License

MIT

Changelog

* Thu Nov 09 2023 Adam Majer <adam.majer@suse.de>
  - Update default TW to nodejs21
* Thu Jun 15 2023 Adam Majer <adam.majer@suse.de>
  - Rework default versions and include specifics for ALP
  - Default version for SLE-12 is set to be 16 - no further updates
    expected since W&S module is not supported in LTSS
  - 15 SP6 uses nodejs20 as default (PED-4819)
* Tue Apr 25 2023 jsrain@suse.com
  - Use NodeJS 18 as default for ALP
* Wed Apr 19 2023 Adam Majer <adam.majer@suse.de>
  - Use NodeJS 20 as default for TW
* Fri Oct 21 2022 Adam Majer <adam.majer@suse.de>
  - Use NodeJS 19 as default for TW
* Sun Jul 31 2022 Adam Majer <adam.majer@suse.de>
  - Use NodeJS 18 as default for TW and for SLE15 SP5
* Wed Jan 12 2022 Adam Majer <adam.majer@suse.de>
  - Use NodeJS 17 as default for TW
* Mon Jun 21 2021 Andreas Schneider <asn@cryptomilk.org>
  - Allow building for Fedora in the OBS
* Fri Jun 18 2021 Adam Majer <adam.majer@suse.de>
  - Some applications do not like warnings or notices on stderr
    as they use it for other things. So make nodejs-common quiet
    unless we have a fatal error.
* Thu Jun 10 2021 Adam Majer <adam.majer@suse.de>
  - Use libalternatives on TW by default
* Mon May 31 2021 Adam Majer <adam.majer@suse.de>
  - Add libalternatives support
* Thu May 06 2021 Adam Majer <adam.majer@suse.de>
  - Enable 32-bit arches again on latest node for TW
  - Set TW to nodejs16
  - Set nodejs14 for SP3 as default and nodejs16 for SP4
* Thu Apr 29 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Provide nodejs(engine) by nodejs-common: nodejs-packaging happens
    to read the engines parameter from the json files and it's a
    nice-to-have if OBS can find out what the default nodejs engine
    to use.
* Thu Apr 15 2021 Guillaume GARDET <guillaume.gardet@opensuse.org>
  - Use older nodejs (10) for %{arm}
* Tue Mar 09 2021 Adam Majer <adam.majer@suse.de>
  - Provide nodejs and npm and nodejs-devel by the appropriate
    defaults package
* Tue Jan 19 2021 Adam Majer <adam.majer@suse.de>
  - set nodejs14 as default for sle15-sp3+
  - set nodejs15 as default for TW
* Tue Jun 09 2020 Adam Majer <adam.majer@suse.de>
  - Add nodejs-default, npm-default and nodejs-devel-default subpackages
    to provide latest, best supported nodejs for current architecture
    and codestream.
    nodejs-default       - nodejs runtime only
    npm-default          - if you need npm + nodejs
    nodejs-devel-default - if you need npm + nodejs + compile modules

Files

No Filelist in the Package !

Generated by rpm2html 1.8.1

Fabrice Bellet, Sat Mar 9 12:50:11 2024